import { jsx } from "react/jsx-runtime";
import { DotOutline as DotOutline$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const DotOutline = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "DotOutline", ...props, children: /* @__PURE__ */ jsx(DotOutline$1, { weight: variant }) });
  }
);
DotOutline.displayName = "DotOutline";
Object.assign(DotOutline, { isGdsIcon: true });
export {
  DotOutline
};
